Index: sources/client/src/App.js
===================================================================
--- sources/client/src/App.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/App.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,54 +1,66 @@
-import './App.css';
-import { Route, Switch, Redirect } from 'react-router-dom';
+import AdminEmployeeHomeScreen from './screens/AdminHomeScreen';
+import UserAndNotAuthScreen from './screens/UserAndNotAuthScreen';
+import Alert from './components/Alert';
+import BackgropLoader from './components/Loaders/BackdropLoader';
+import { roles } from './config/enums';
+import { UserContext } from './context/UserContext';
+import { AccessoriesContext } from './context/AccessoriesContext';
+import useIsMobile from './hooks/useIsMobile';
+import { useState } from 'react';
 
-import DestinationComponent from './utils/DestinationComponent';
-
-import AdminHomeScreen from './screens/AdminHomeScreen';
-import LoginScreenImported from './screens/LoginScreen';
-
-import { roles } from './config/enums';
-
-const LoginScreen = new DestinationComponent('/', LoginScreenImported, true);
-const AdminEmployeeHomeScreen = new DestinationComponent('/', AdminHomeScreen);
-// const UserHomeScreen = new DestinationComponent('/', UserHomeScreen); TODO
-
-const publicRoutes = [LoginScreen];
-
-const userRoutes = [
-  // UserHomeScreen
-];
-
-const adminAndEmployeeRoutes = [AdminEmployeeHomeScreen];
+import useFindUser from './hooks/useFindUser';
+import Sidedrawer from './components/Sidedrawer';
 
 function App(props) {
-  const user = {
-    role: 'ROLE_ADMIN',
-  };
+    const [alertData, setAlertData] = useState({
+        type: 'error',
+        msg: 'Не Сте Логирани!',
+    });
+    const setAlert = ({ type, msg }) => {
+        setAlertData({ type, msg });
+        setIsAlertOpen(true);
+    };
+    const { user, setUser, isLoading: isLoadingUser } = useFindUser({ setAlert });
+    const { isMobile } = useIsMobile();
+    const [isAlertOpen, setIsAlertOpen] = useState(false);
+    const [isBackdropLoaderOpen, setIsBackdropLoaderOpen] = useState(false);
+    const [isOpenDrawer, setIsOpenDrawer] = useState(false);
 
-  // const user = null;
+    let displayScreen;
+    if (user && (user.role === roles.admin || user.role === roles.employee)) {
+        displayScreen = <AdminEmployeeHomeScreen />;
+    } else {
+        displayScreen = <UserAndNotAuthScreen />;
+    }
 
-  let routes = publicRoutes;
-  if (user) {
-    switch (user.role) {
-      case roles.user:
-        routes = userRoutes;
-        break;
-      case roles.admin:
-      case roles.employee:
-        routes = adminAndEmployeeRoutes;
-        break;
-      default:
-        break;
-    }
-  }
-  console.log(publicRoutes);
-  return (
-    <Switch>
-      {routes?.map((route, index) => (
-        <Route key={index} path={route.path} component={route.component} />
-      ))}
-      <Redirect to='/' />
-    </Switch>
-  );
+    return (
+        <UserContext.Provider value={{ user, setUser, isLoadingUser }}>
+            <AccessoriesContext.Provider
+                value={{
+                    isMobile,
+                    setAlert,
+                    setIsBackdropLoaderOpen,
+                    setIsOpenDrawer,
+                }}
+            >
+                <Sidedrawer
+                    isOpen={isOpenDrawer}
+                    setIsOpen={setIsOpenDrawer}
+                    isMobile={isMobile}
+                />
+                <BackgropLoader
+                    isBackdropLoaderOpen={isBackdropLoaderOpen}
+                    isMobile={isMobile}
+                />
+                <Alert
+                    isOpen={isAlertOpen}
+                    setIsOpen={setIsAlertOpen}
+                    type={alertData.type}
+                    msg={alertData.msg}
+                />
+                {displayScreen}
+            </AccessoriesContext.Provider>
+        </UserContext.Provider>
+    );
 }
 
Index: sources/client/src/components/Arrows/index.js
===================================================================
--- sources/client/src/components/Arrows/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Arrows/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,18 @@
+import { Wrapper, Arrow } from './styles';
+
+const arrows_number = 10;
+
+const Arrows = () => {
+  return (
+    <Wrapper>
+      {new Array(arrows_number).fill().map((_, index) => (
+        <Arrow
+          key={index}
+          className={`arrow arrow-${arrows_number - index - 1}`}
+        />
+      ))}
+    </Wrapper>
+  );
+};
+
+export default Arrows;
Index: sources/client/src/components/Arrows/styles.js
===================================================================
--- sources/client/src/components/Arrows/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Arrows/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,80 @@
+import styled, { keyframes } from 'styled-components';
+import ArrowBackIosNewIcon from '@mui/icons-material/ArrowBackIosNew';
+
+const flash = keyframes`
+0% { 
+    opacity: 0;
+}
+25% { 
+    opacity: 0.33;
+}
+50% { 
+    opacity: 0.66;
+}
+100% { 
+    opacity: 1;
+}
+`;
+
+const speed = `1.8s`;
+const multipy_by = 30;
+const add = 0;
+const delay = 0.15;
+export const Wrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  position: relative;
+  width: 100%;
+  height: 100%;
+
+  .arrow-0 {
+    animation: ${flash} ${speed} infinite ${9 * delay}s;
+  }
+  .arrow-1 {
+    top: ${1 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${8 * delay}s;
+  }
+  .arrow-2 {
+    top: ${2 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${7 * delay}s;
+  }
+  .arrow-3 {
+    top: ${3 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${6 * delay}s;
+  }
+  .arrow-4 {
+    top: ${4 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${5 * delay}s;
+  }
+  .arrow-5 {
+    top: ${5 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${4 * delay}s;
+  }
+  .arrow-6 {
+    top: ${6 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${3 * delay}s;
+  }
+  .arrow-7 {
+    top: ${7 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${2 * delay}s;
+  }
+  .arrow-8 {
+    top: ${8 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite ${1 * delay}s;
+  }
+  .arrow-9 {
+    top: ${9 * multipy_by + add}px;
+    animation: ${flash} ${speed} infinite;
+  }
+`;
+
+export const Arrow = styled(ArrowBackIosNewIcon).attrs((props) => ({
+  sx: {
+    fontSize: 80,
+    color: props.theme.palette.primary.dark,
+    transform: 'rotate(90deg)',
+    position: 'absolute',
+    // opacity: 0,
+  },
+}))``;
Index: sources/client/src/components/Auth/Login/index.js
===================================================================
--- sources/client/src/components/Auth/Login/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/Login/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,70 @@
+import { Link, useHistory } from 'react-router-dom';
+import useForm from '../../../hooks/useForm';
+import useLogin from '../../../hooks/useLogin';
+
+import {
+  CredentialsWrapper,
+  DividerButtons,
+  DividerText,
+  Input,
+  LockIcon,
+  PersonIcon,
+  SignInButton,
+  ButtonsWrapper,
+  RegisterText,
+} from './styles';
+
+const Login = () => {
+  const { loginUser } = useLogin();
+  const { data, onFormChange } = useForm({
+    email: '',
+    password: '',
+  });
+  let history = useHistory();
+  const handleSignIn = () => {
+    loginUser({ email: data.email, password: data.password });
+  };
+  return (
+    <>
+      <CredentialsWrapper>
+        <Input
+          name='email'
+          placeholder='Емаил'
+          value={data.email}
+          onChange={onFormChange}
+          InputProps={{
+            startAdornment: <PersonIcon />,
+          }}
+        />
+        <Input
+          name='password'
+          value={data.password}
+          placeholder='Лозинка'
+          onChange={onFormChange}
+          InputProps={{
+            startAdornment: <LockIcon />,
+          }}
+          type='password'
+        />
+      </CredentialsWrapper>
+      <ButtonsWrapper>
+        <SignInButton onClick={handleSignIn}>НАЈАВА</SignInButton>
+        <DividerButtons>
+          <DividerText>ИЛИ</DividerText>
+        </DividerButtons>
+        <SignInButton onClick={() => history.push('/login-guest')}>
+          НАЈАВА КАКО ГОСТИН
+        </SignInButton>
+        {/* TODO Neka nosi do '/login-guest'*/}
+      </ButtonsWrapper>
+      <RegisterText>
+        {' '}
+        {/* TODO Neka nosi do '/register' */}
+        Немате Профил?
+        <Link to='/register'>Регистрирај се!</Link>
+      </RegisterText>
+    </>
+  );
+};
+
+export default Login;
Index: sources/client/src/components/Auth/Login/styles.js
===================================================================
--- sources/client/src/components/Auth/Login/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/Login/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,110 @@
+import { Button } from '@mui/material';
+import Divider from '@mui/material/Divider';
+import TextField from '@mui/material/TextField';
+import PIcon from '@mui/icons-material/Person';
+import LIcon from '@mui/icons-material/Lock';
+import styled from 'styled-components';
+
+export const CredentialsWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  padding: 0 25px 15px 25px;
+`;
+
+export const Input = styled(TextField).attrs({
+  fullWidth: true,
+  sx: {
+    marginTop: '25px',
+  },
+})`
+  > div {
+    padding-left: 10px;
+  }
+  input {
+    color: white;
+    font-size: 1.2rem;
+    padding-left: 10px;
+
+    ::placeholder {
+      opacity: 0.6;
+    }
+  }
+
+  fieldset {
+    border: 0;
+    border-bottom: 4px solid white;
+    border-radius: 25px;
+    padding: 0 10px;
+  }
+`;
+
+export const LockIcon = styled(LIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const PersonIcon = styled(PIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const ButtonsWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  margin-top: 10px;
+  padding: 30px 0px;
+`;
+export const SignInButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  width: '50%',
+  sx: {
+    width: '70%',
+    backgroundColor: 'white',
+  },
+}))`
+  box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+  align-self: center;
+  color: ${(props) => props.theme.palette.primary.main};
+  border-radius: 15px;
+  font-weight: 600;
+  :hover {
+    background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  }
+`;
+
+export const DividerButtons = styled(Divider).attrs({
+  sx: {},
+})`
+  align-items: center;
+  // margin-bottom: 15px;
+  ::before,
+  ::after {
+    border-top: 2px solid white;
+  }
+`;
+
+export const DividerText = styled.p`
+  color: white;
+`;
+
+export const RegisterText = styled.p`
+  position: absolute;
+  bottom: 0;
+  width: 100%;
+  text-align: center;
+  color: white;
+
+  a {
+    margin-left: 10px;
+    text-decoration: none;
+    color: ${(props) => props.theme.palette.third.main};
+    font-weight: bold;
+    font-size: 1.2rem;
+  }
+`;
Index: sources/client/src/components/Auth/LoginGuest/index.js
===================================================================
--- sources/client/src/components/Auth/LoginGuest/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/LoginGuest/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,63 @@
+import { Link } from 'react-router-dom';
+import useForm from '../../../hooks/useForm';
+import useLoginGuest from '../../../hooks/useLoginGuest';
+
+import {
+  CredentialsWrapper,
+  Input,
+  PersonIcon,
+  PhoneIcon,
+  CarIcon,
+  SignInButton,
+  LoginText,
+} from './styles';
+
+const LoginGuest = () => {
+  const {loginGuest} = useLoginGuest();
+  const { data, onFormChange } = useForm({
+    mobile: '',
+    email: '',
+    plate: '',
+  });
+  return (
+      <>
+          <CredentialsWrapper>
+              <Input
+                  name='mobile'
+                  placeholder='Телефонски број'
+                  value={data.mobile}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <PhoneIcon />,
+                  }}
+              />
+              <Input
+                  name='email'
+                  placeholder='Емаил адреса'
+                  value={data.email}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <PersonIcon />,
+                  }}
+              />
+              <Input
+                  name='plate'
+                  placeholder='Таблица...SK-8190-AV'
+                  value={data.plate}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <CarIcon />,
+                  }}
+              />
+          </CredentialsWrapper>
+          <SignInButton onClick={() => loginGuest({ credentials: data })}>
+              НАЈАВА КАКО ГОСТИН
+          </SignInButton>
+          <LoginText>
+              Имате Профил? <Link to='/login'>Најавете се!</Link>
+          </LoginText>
+      </>
+  );
+};
+
+export default LoginGuest;
Index: sources/client/src/components/Auth/LoginGuest/styles.js
===================================================================
--- sources/client/src/components/Auth/LoginGuest/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/LoginGuest/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,98 @@
+import styled from 'styled-components';
+import { Button } from '@mui/material';
+import PhIcon from '@mui/icons-material/Phone';
+import TextField from '@mui/material/TextField';
+import PIcon from '@mui/icons-material/Person';
+import DirectionsCarIcon from '@mui/icons-material/DirectionsCar';
+
+export const CredentialsWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  padding: 0 25px 15px 25px;
+`;
+
+export const Input = styled(TextField).attrs({
+  fullWidth: true,
+  sx: {
+    marginTop: '25px',
+  },
+})`
+  > div {
+    padding-left: 10px;
+  }
+  input {
+    color: white;
+    font-size: 1.2rem;
+    padding-left: 10px;
+
+    ::placeholder {
+      color: white;
+      opacity: 0.6;
+    }
+  }
+
+  fieldset {
+    border: 0;
+    border-bottom: 4px solid white;
+    border-radius: 25px;
+    padding: 0 10px;
+  }
+`;
+
+export const PersonIcon = styled(PIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const PhoneIcon = styled(PhIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const CarIcon = styled(DirectionsCarIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const SignInButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  width: '50%',
+  sx: {
+    width: '70%',
+    backgroundColor: 'white',
+  },
+}))`
+  margin-top: 50px;
+  box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+  align-self: center;
+  color: ${(props) => props.theme.palette.primary.main};
+  border-radius: 15px;
+  font-weight: 600;
+  :hover {
+    background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  }
+`;
+
+export const LoginText = styled.p`
+  position: absolute;
+  bottom: 0;
+  width: 100%;
+  text-align: center;
+  color: white;
+
+  a {
+    margin-left: 10px;
+    text-decoration: none;
+    color: ${(props) => props.theme.palette.third.main};
+    font-weight: bold;
+    font-size: 1.2rem;
+  }
+`;
Index: sources/client/src/components/Auth/Register/index.js
===================================================================
--- sources/client/src/components/Auth/Register/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/Register/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,86 @@
+import { Link } from 'react-router-dom';
+import useForm from '../../../hooks/useForm';
+import useRegisterUser from '../../../hooks/useRegisterUser';
+import {
+  CredentialsWrapper,
+  Input,
+  LockIcon,
+  PersonIcon,
+  PhoneIcon,
+  RegisterButton,
+  FullNameWrapper,
+  LoginText,
+} from './styles';
+
+const Register = () => {
+  const { registerUser } = useRegisterUser();
+  const { data, onFormChange } = useForm({
+    firstName: '',
+    lastName: '',
+    email: '',
+    mobile: '',
+    password: '',
+  });
+  return (
+      <>
+          <CredentialsWrapper>
+              <FullNameWrapper>
+                  <Input
+                      name='firstName'
+                      placeholder='Име'
+                      style={{
+                          width: '49%',
+                      }}
+                      value={data.firstName}
+                      onChange={onFormChange}
+                  />
+                  <Input
+                      name='lastName'
+                      placeholder='Презиме'
+                      style={{
+                          width: '49%',
+                      }}
+                      value={data.lastName}
+                      onChange={onFormChange}
+                  />
+              </FullNameWrapper>
+              <Input
+                  name='mobile'
+                  placeholder='Телефонски број'
+                  value={data.mobile}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <PhoneIcon />,
+                  }}
+              />
+              <Input
+                  name='email'
+                  placeholder='Емаил адреса'
+                  value={data.email}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <PersonIcon />,
+                  }}
+              />
+              <Input
+                  name='password'
+                  placeholder='Лозинка'
+                  value={data.password}
+                  onChange={onFormChange}
+                  InputProps={{
+                      startAdornment: <LockIcon />,
+                  }}
+                  type='password'
+              />
+          </CredentialsWrapper>
+          <RegisterButton onClick={() => registerUser(data)}>
+              Регистрирај се
+          </RegisterButton>
+          <LoginText>
+              Имате Профил? <Link to='/login'>Најавете се!</Link>
+          </LoginText>
+      </>
+  );
+};
+
+export default Register;
Index: sources/client/src/components/Auth/Register/styles.js
===================================================================
--- sources/client/src/components/Auth/Register/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/Register/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,103 @@
+import styled from 'styled-components';
+import { Button } from '@mui/material';
+import PhIcon from '@mui/icons-material/Phone';
+import TextField from '@mui/material/TextField';
+import PIcon from '@mui/icons-material/Person';
+import LIcon from '@mui/icons-material/Lock';
+
+export const CredentialsWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  padding: 0 25px 15px 25px;
+`;
+
+export const Input = styled(TextField).attrs({
+  fullWidth: true,
+  sx: {
+    marginTop: '20px',
+  },
+})`
+  > div {
+    padding-left: 10px;
+  }
+  input {
+    color: white;
+    font-size: 1.2rem;
+    padding-left: 10px;
+
+    ::placeholder {
+      opacity: 0.6;
+    }
+  }
+  fieldset {
+    border: 0;
+    border-bottom: 4px solid white;
+    border-radius: 25px;
+    padding: 0 10px;
+  }
+`;
+
+export const LockIcon = styled(LIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const PersonIcon = styled(PIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const PhoneIcon = styled(PhIcon).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const RegisterButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  width: '50%',
+  sx: {
+    width: '70%',
+    backgroundColor: 'white',
+  },
+}))`
+  margin-top: 30px;
+  box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+  align-self: center;
+  color: ${(props) => props.theme.palette.primary.main};
+  border-radius: 15px;
+  font-weight: 600;
+  :hover {
+    background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  }
+`;
+
+export const FullNameWrapper = styled.div`
+  display: flex;
+  flex-direction: row;
+  justify-content: space-between;
+  width: 100%;
+`;
+
+export const LoginText = styled.p`
+  position: absolute;
+  bottom: 0;
+  width: 100%;
+  text-align: center;
+  color: white;
+
+  a {
+    margin-left: 10px;
+    text-decoration: none;
+    color: ${(props) => props.theme.palette.third.main};
+    font-weight: bold;
+    font-size: 1.2rem;
+  }
+`;
Index: sources/client/src/components/Auth/index.js
===================================================================
--- sources/client/src/components/Auth/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,23 @@
+import { Switch, Route, Redirect } from 'react-router-dom';
+import { AuthWrapper } from './styles';
+
+import Login from './Login';
+import LoginGuest from './LoginGuest';
+import Register from './Register';
+import MapUsers from '../user/MapUsers';
+
+const Auth = () => {
+    return (
+        <AuthWrapper>
+            <Switch>
+                <Route exact path='/login' component={Login} />
+                <Route exact path='/login-guest' component={LoginGuest} />
+                <Route exact path='/register' component={Register} />
+                <Route exact path={'/'} component={MapUsers} />
+                <Redirect to='/' />
+            </Switch>
+        </AuthWrapper>
+    );
+};
+
+export default Auth;
Index: sources/client/src/components/Auth/styles.js
===================================================================
--- sources/client/src/components/Auth/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/Auth/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,16 @@
+import styled from 'styled-components';
+import backgroundImage from '../../resources/login_background.jpg';
+import { mobile_max_width } from '../../config/utilities';
+
+export const AuthWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  width: 100%;
+  max-width: 500px;
+  // background-image: url(${backgroundImage});
+  border-radius: 10px;
+  // height: calc(100vh - 266px);
+  @media (min-width: ${mobile_max_width}px) {
+    max-height: 750px;
+  }
+`;
Index: sources/client/src/components/DropdownViewer/index.js
===================================================================
--- sources/client/src/components/DropdownViewer/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/DropdownViewer/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,36 @@
+import { Dropdown, DropdownItem } from './styles';
+
+const DropdownViewer = ({ data = [], width }) => {
+    return (
+        <Dropdown
+            value={data[0] ?? ''}
+            displayEmpty
+            renderValue={() => (
+                <DropdownItem>{data[0] ?? <em>NONE</em>}</DropdownItem>
+            )}
+            disabled={data.length < 2}
+            onClick={(e) => {
+                e.stopPropagation();
+            }}
+            MenuProps={{
+                sx: {
+                    textAlign: 'center',
+                    maxHeight: '250px',
+                },
+            }}
+        >
+            {data.slice(1).map((d, index) => (
+                <DropdownItem
+                    key={index}
+                    onClick={(e) => {
+                        e.stopPropagation();
+                    }}
+                >
+                    {d}
+                </DropdownItem>
+            ))}
+        </Dropdown>
+    );
+};
+
+export default DropdownViewer;
Index: sources/client/src/components/DropdownViewer/styles.js
===================================================================
--- sources/client/src/components/DropdownViewer/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/DropdownViewer/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,23 @@
+import styled from 'styled-components';
+import Select from '@mui/material/Select';
+import { Typography } from '@mui/material';
+
+export const Dropdown = styled(Select).attrs((props) => ({
+  sx: {
+    width: props.width ?? '70%',
+    textAlign: 'center',
+  },
+}))`
+  > div {
+    padding: 11px 32px 11px 9px;
+  }
+`;
+
+export const DropdownItem = styled(Typography).attrs({
+  variant: 'h4',
+})`
+  font-size: 1rem;
+  font-weight: 500;
+  margin-top: 5px;
+  padding: 5px;
+`;
Index: sources/client/src/components/GoogleMaps/index.js
===================================================================
--- sources/client/src/components/GoogleMaps/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/GoogleMaps/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,45 +1,64 @@
 import GoogleMapReact from 'google-map-react';
+import { useEffect, useRef } from 'react';
 
 import { Wrapper, Marker } from './styles';
 
-const ParkingSpaceMarker = ({ text, free }) => (
-  <Marker $free={free}>{text}</Marker>
+const ParkingSpaceMarker = ({ text, isTaken }) => (
+    <Marker $isTaken={isTaken}>{text}</Marker>
 );
 
-const GoogleMaps = ({ location, parkingSpacesLocation, zoneAreaColor }) => {
-  const defaultProps = {
-    zoom: 18,
-  };
-  const drawZonePolygon = (map, maps) => {
-    var zoneArea = new maps.Polygon({
-      paths: location.coords,
-      strokeColor: zoneAreaColor,
-      strokeOpacity: 0.8,
-      strokeWeight: 2,
-      fillColor: zoneAreaColor,
-      fillOpacity: 0.2,
-    });
-    zoneArea.setMap(map);
-  };
-  return (
-    <Wrapper>
-      <GoogleMapReact
-        defaultCenter={location.center}
-        defaultZoom={defaultProps.zoom}
-        yesIWantToUseGoogleMapApiInternals={true}
-        onGoogleApiLoaded={({ map, maps }) => drawZonePolygon(map, maps)}
-      >
-        {parkingSpacesLocation.map((p, index) => (
-          <ParkingSpaceMarker
-            key={index}
-            lat={p.lat}
-            lng={p.lng}
-            free={p.free}
-            text={p.parkingSpaceNumber}
-          />
-        ))}
-      </GoogleMapReact>
-    </Wrapper>
-  );
+const GoogleMaps = ({
+    location = {},
+    parkingSpaces = [],
+    zoneAreaColor = '',
+    zoom,
+}) => {
+    let refMap = useRef(null);
+    let refZone = useRef(null);
+    const defaultProps = {
+        zoom: 15,
+    };
+    const drawZonePolygon = (map, maps) => {
+        if (!maps) return;
+        var zoneArea = new maps.Polygon({
+            paths: location?.coords ?? [],
+            strokeColor: zoneAreaColor ?? '',
+            strokeOpacity: 0.8,
+            strokeWeight: 2,
+            fillColor: zoneAreaColor ?? '',
+            fillOpacity: 0.2,
+        });
+        refZone.current = zoneArea;
+        zoneArea.setMap(map);
+    };
+    useEffect(() => {
+        if (refMap.current) {
+            refZone.current.setMap(null);
+            drawZonePolygon(refMap.current.map, refMap.current.maps);
+        }
+    }, [location?.centre]);
+    return (
+        <Wrapper>
+            <GoogleMapReact
+                center={location?.centre}
+                zoom={zoom ?? defaultProps.zoom}
+                yesIWantToUseGoogleMapApiInternals={true}
+                onGoogleApiLoaded={({ map, maps, ref }) => {
+                    refMap.current = { map, maps };
+                    drawZonePolygon(map, maps);
+                }}
+            >
+                {parkingSpaces.map((p, index) => (
+                    <ParkingSpaceMarker
+                        key={index}
+                        lat={p.lat}
+                        lng={p.lng}
+                        isTaken={p.taken}
+                        text={p.psName}
+                    />
+                ))}
+            </GoogleMapReact>
+        </Wrapper>
+    );
 };
 
Index: sources/client/src/components/GoogleMaps/styles.js
===================================================================
--- sources/client/src/components/GoogleMaps/styles.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/GoogleMaps/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,8 +1,13 @@
 import styled from 'styled-components';
+import { mobile_max_width } from '../../config/utilities';
 
 export const Wrapper = styled.div`
-  width: 100%;
-  height: 69vh;
-  padding: 0 30px;
+    width: 100%;
+    height: 69vh;
+    padding: 0 4vh;
+
+    @media (max-width: ${mobile_max_width}px) {
+        height: 50vh;
+    }
 `;
 
@@ -12,10 +17,11 @@
   height: 25px;
   background-color: ${(props) =>
-    props.$free
-      ? `${props.theme.palette.success.light}`
-      : `${props.theme.palette.error.main}`}};
+      props.$isTaken
+          ? `${props.theme.palette.error.main}`
+          : `${props.theme.palette.success.light}`}};
   display: inline-flex;
   align-items: center;
   justify-content: center;
   border-radius: 100%;
+  transform: translate(-50%, -100%);
 `;
